Bug 493761 - banshee/mono avc's
banshee/mono avc's
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 20:38 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 13:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2009-04-02 20:38:52 EDT
I started up banshee, and saw a slew of AVCs ..

type=AVC msg=audit(1238718248.467:12233): avc:  denied  { kill } for  pid=4153 comm="mono" capability=5 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:system_r:podsleuth_t:s0 tclass=capability
type=AVC msg=audit(1238718248.467:12233): avc:  denied  { signal } for  pid=4153 comm="mono" scontext=system_u:system_r:podsleuth_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_mono_t:s0 tclass=process
type=AVC msg=audit(1238718248.468:12234): avc:  denied  { write } for  pid=4153 comm="mono" name="/" dev=tmpfs ino=8526 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir
type=AVC msg=audit(1238718248.468:12234): avc:  denied  { add_name } for  pid=4153 comm="mono" name="mono.4153" scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir
type=AVC msg=audit(1238718248.468:12234): avc:  denied  { create } for  pid=4153 comm="mono" name="mono.4153" scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=file
type=AVC msg=audit(1238718248.468:12234): avc:  denied  { read write open } for  pid=4153 comm="mono" name="mono.4153" dev=tmpfs ino=162116 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=file
type=AVC msg=audit(1238718250.254:12242): avc:  denied  { write } for  pid=4153 comm="mono" name="/" dev=tmpfs ino=8526 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir
type=AVC msg=audit(1238718250.254:12242): avc:  denied  { remove_name } for  pid=4153 comm="mono" name="mono.4153" dev=tmpfs ino=162116 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir
type=AVC msg=audit(1238718250.254:12242): avc:  denied  { unlink } for  pid=4153 comm="mono" name="mono.4153" dev=tmpfs ino=162116 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=file
type=AVC msg=audit(1238718282.362:12253): avc:  denied  { kill } for  pid=8300 comm="mono" capability=5 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:system_r:podsleuth_t:s0 tclass=capability
type=AVC msg=audit(1238718282.362:12253): avc:  denied  { signal } for  pid=8300 comm="mono" scontext=system_u:system_r:podsleuth_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_mono_t:s0 tclass=process
type=AVC msg=audit(1238718282.363:12254): avc:  denied  { add_name } for  pid=8300 comm="mono" name="mono.8300" scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir
type=AVC msg=audit(1238718282.363:12254): avc:  denied  { create } for  pid=8300 comm="mono" name="mono.8300" scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=file
type=AVC msg=audit(1238718282.363:12254): avc:  denied  { read write open } for  pid=8300 comm="mono" name="mono.8300" dev=tmpfs ino=166615 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=file
type=AVC msg=audit(1238718283.862:12261): avc:  denied  { write } for  pid=8300 comm="mono" name="/" dev=tmpfs ino=8526 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir
type=AVC msg=audit(1238718283.862:12261): avc:  denied  { remove_name } for  pid=8300 comm="mono" name="mono.8300" dev=tmpfs ino=166615 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir
type=AVC msg=audit(1238718283.862:12261): avc:  denied  { unlink } for  pid=8300 comm="mono" name="mono.8300" dev=tmpfs ino=166615 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=file
Comment 1 Dave Jones 2009-04-03 15:46:18 EDT
some stuff was mislabelled. After fixing that up, with todays tree, I only see these..

node=vaio type=AVC msg=audit(1238785989.287:18): avc: denied { write } for pid=3397 comm="mono" name="/" dev=tmpfs ino=8454 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir node=vaio type=AVC msg=audit(1238785989.287:18): avc: denied { remove_name } for pid=3397 comm="mono" name="mono.3397" dev=tmpfs ino=27940 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=dir node=vaio type=AVC msg=audit(1238785989.287:18): avc: denied { unlink } for pid=3397 comm="mono" name="mono.3397" dev=tmpfs ino=27940 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=file node=vaio type=SYSCALL msg=audit(1238785989.287:18): arch=c000003e syscall=87 success=yes exit=0 a0=7fff5c73b620 a1=7fff5c73b68b a2=0 a3=8101010101010100 items=0 ppid=3388 pid=3397 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="mono" exe="/usr/bin/mono" subj=system_u:system_r:podsleuth_t:s0 key=(null)
Comment 2 Daniel Walsh 2009-04-13 10:09:29 EDT
Fixed in selinux-policy-3.6.12-3.fc11.noarch
Comment 3 Dave Jones 2009-04-17 20:35:25 EDT
with selinux-policy-3.6.12-4.fc11.noarch ...


type=AVC msg=audit(1239668335.036:24): avc:  denied  { kill } for  pid=15034 comm="mono" capability=5 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:system_r:podsleuth_t:s0 tclass=capability
type=AVC msg=audit(1239668335.036:24): avc:  denied  { signal } for  pid=15034 comm="mono" scontext=system_u:system_r:podsleuth_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_mono_t:s0 tclass=process
type=AVC msg=audit(1239683737.906:51): avc:  denied  { kill } for  pid=28792 comm="mono" capability=5 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:system_r:podsleuth_t:s0 tclass=capability
type=AVC msg=audit(1239683737.906:51): avc:  denied  { signal } for  pid=28792 comm="mono" scontext=system_u:system_r:podsleuth_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_mono_t:s0 tclass=process
type=AVC msg=audit(1239686198.743:60): avc:  denied  { kill } for  pid=20102 comm="mono" capability=5 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:system_r:podsleuth_t:s0 tclass=capability
type=AVC msg=audit(1239686198.743:60): avc:  denied  { signal } for  pid=20102 comm="mono" scontext=system_u:system_r:podsleuth_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_mono_t:s0 tclass=process
type=AVC msg=audit(1239730898.512:148): avc:  denied  { kill } for  pid=11340 comm="mono" capability=5 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:system_r:podsleuth_t:s0 tclass=capability
type=AVC msg=audit(1239730898.512:148): avc:  denied  { signal } for  pid=11340 comm="mono" scontext=system_u:system_r:podsleuth_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_mono_t:s0 tclass=process
type=AVC msg=audit(1239738241.921:168): avc:  denied  { kill } for  pid=31260 comm="mono" capability=5 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:system_r:podsleuth_t:s0 tclass=capability
type=AVC msg=audit(1239738241.921:168): avc:  denied  { signal } for  pid=31260 comm="mono" scontext=system_u:system_r:podsleuth_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_mono_t:s0 tclass=process
type=AVC msg=audit(1239738242.299:170): avc:  denied  { dac_override } for  pid=31260 comm="mono" capability=1 scontext=system_u:system_r:podsleuth_t:s0 tcontext=system_u:system_r:podsleuth_t:s0 tclass=capability
Comment 4 Daniel Walsh 2009-05-01 13:54:53 EDT
Fixed in selinux-policy-3.6.12-27.fc11.noarch

Note You need to log in before you can comment on or make changes to this bug.